Package com.pixelmed.test

# Class TestAttributeListReadTerminationStrategy

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestAttributeListReadTerminationStrategy

All Implemented Interfaces:
  `junit.framework.Test`

public class TestAttributeListReadTerminationStrategy extends junit.framework.TestCase

## Constructor Summary

Constructors
Constructor
Description
`TestAttributeListReadTerminationStrategy(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setUp()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`TestAttributeListReadTerminationStrategy_ByteOffset_NoPreambleNoMetaInformationHeader()`
`void`
`TestAttributeListReadTerminationStrategy_ByteOffset_PreambleButNoMetaInformationHeader()`
`void`
`TestAttributeListReadTerminationStrategy_SpecificAttribute()`
`void`
`TestAttributeListReadTerminationStrategy_SpecificAttributeWithinSequence()`
`void`
`TestAttributeListReadTerminationStrategy_SpecificAttributeWithMetaHeader()`
`void`
`TestAttributeListReadTerminationStrategy_TagRange()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestAttributeListReadTerminationStrategy

public TestAttributeListReadTerminationStrategy(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### setUp

protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### TestAttributeListReadTerminationStrategy_SpecificAttribute

public void TestAttributeListReadTerminationStrategy_SpecificAttribute() throws Exception

Throws:
  `Exception`

### TestAttributeListReadTerminationStrategy_SpecificAttributeWithMetaHeader

public void TestAttributeListReadTerminationStrategy_SpecificAttributeWithMetaHeader() throws Exception

Throws:
  `Exception`

### TestAttributeListReadTerminationStrategy_TagRange

public void TestAttributeListReadTerminationStrategy_TagRange() throws Exception

Throws:
  `Exception`

### TestAttributeListReadTerminationStrategy_ByteOffset_NoPreambleNoMetaInformationHeader

public void TestAttributeListReadTerminationStrategy_ByteOffset_NoPreambleNoMetaInformationHeader() throws Exception

Throws:
  `Exception`

### TestAttributeListReadTerminationStrategy_ByteOffset_PreambleButNoMetaInformationHeader

public void TestAttributeListReadTerminationStrategy_ByteOffset_PreambleButNoMetaInformationHeader() throws Exception

Throws:
  `Exception`

### TestAttributeListReadTerminationStrategy_SpecificAttributeWithinSequence

public void TestAttributeListReadTerminationStrategy_SpecificAttributeWithinSequence() throws Exception

Throws:
  `Exception`